"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const sp_1 = require("@pnp/sp");
exports.default = new class SearchService {
    /**
     * Search
     *
     * @param {SearchQuery} query Query
     */
    search(query) {
        return __awaiter(this, void 0, void 0, function* () {
            let _query = Object.assign({}, query);
            let results = [];
            let response = yield sp_1.sp.search(_query);
            results.push(...response.PrimarySearchResults);
            while (response.TotalRows > results.length) {
                response = yield sp_1.sp.search(Object.assign(Object.assign({}, _query), { StartRow: results.length }));
                results.push(...response.PrimarySearchResults);
            }
            return { items: results, RawSearchResults: response.RawSearchResults };
        });
    }
};
