import * as React from "react";
import { IColumn } from "office-ui-fabric-react/lib/DetailsList";
import { IFilterItemProps } from "./FilterItem";
export interface IFilterProps {
    column: IColumn;
    items: IFilterItemProps[];
    onFilterChange?: (column: IColumn, selectedItems: IFilterItemProps[]) => void;
}
export interface IFilterState {
    isCollapsed: boolean;
    items: IFilterItemProps[];
}
export declare class Filter extends React.Component<IFilterProps, IFilterState> {
    constructor(props: IFilterProps);
    /**
     * Renders the <Filter /> component
     */
    render(): React.ReactElement<IFilterProps>;
    /**
     * On toggle section content
     */
    private onToggleSectionContent;
    /**
     * Render filter items
     */
    private renderItems;
    /**
     * On changed
     *
     * @param {IFilterItemProps} item Item that was changed
     * @param {boolean} checked Item checked
     */
    private onChanged;
}
