"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const Icon_1 = require("office-ui-fabric-react/lib/Icon");
const Utilities_1 = require("office-ui-fabric-react/lib/Utilities");
const FilterItem_1 = require("./FilterItem");
class Filter extends React.Component {
    constructor(props) {
        super(props);
        this.state = { isCollapsed: false, items: props.items };
    }
    /**
     * Renders the <Filter /> component
     */
    render() {
        return (React.createElement("div", { style: { margin: "20px 0 0 0" } },
            React.createElement("div", { style: { position: "relative", color: "#666", height: 20, padding: "6px 0", cursor: "pointer" }, onClick: this.onToggleSectionContent },
                React.createElement("span", { style: { fontSize: 14, fontWeight: 400 } }, this.props.column.name),
                React.createElement("span", { style: { fontSize: 14, position: "absolute", right: 0 } },
                    React.createElement(Icon_1.Icon, { iconName: this.state.isCollapsed ? "ChevronUp" : "ChevronDown" }))),
            React.createElement("div", { hidden: this.state.isCollapsed },
                React.createElement("ul", { style: { fontSize: 12, listStyleType: "none", margin: "4px 0 0 0", padding: 0 } }, this.renderItems()))));
    }
    /**
     * On toggle section content
     */
    onToggleSectionContent() {
        this.setState((prevState) => ({ isCollapsed: !prevState.isCollapsed }));
    }
    /**
     * Render filter items
     */
    renderItems() {
        return this.state.items.map((props, key) => React.createElement(FilterItem_1.FilterItem, Object.assign({ key: key }, props, { onChanged: (_event, checked) => this.onChanged(props, checked) })));
    }
    /**
     * On changed
     *
     * @param {IFilterItemProps} item Item that was changed
     * @param {boolean} checked Item checked
     */
    onChanged(item, checked) {
        const { items } = this.state;
        items.filter(_item => _item.value === item.value)[0].selected = checked;
        this.setState({ items });
        const selectedItems = items.filter(i => i.selected);
        this.props.onFilterChange(this.props.column, selectedItems);
    }
}
__decorate([
    Utilities_1.autobind
], Filter.prototype, "onToggleSectionContent", null);
__decorate([
    Utilities_1.autobind
], Filter.prototype, "onChanged", null);
exports.Filter = Filter;
