"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const Panel_1 = require("office-ui-fabric-react/lib/Panel");
const Filter_1 = require("./Filter");
class FilterPanel extends React.Component {
    constructor(props) {
        super(props);
        this.state = { filters: props.filters };
    }
    /**
     * Renders the <FilterPanel /> component
     */
    render() {
        return (React.createElement(Panel_1.Panel, { isOpen: this.props.isOpen, isHiddenOnDismiss: true, isLightDismiss: this.props.isLightDismiss, isBlocking: this.props.isBlocking, onDismiss: this.props.onDismiss, headerText: this.props.headerText, type: this.props.type },
            React.createElement("div", null, this.renderFilters())));
    }
    /**
     * Render the filters
     */
    renderFilters() {
        return this.props.filters
            .filter(props => props.items.length > 1)
            .map((props, key) => React.createElement(Filter_1.Filter, Object.assign({ key: key }, props, { onFilterChange: this.props.onFilterChange })));
    }
}
exports.default = FilterPanel;
FilterPanel.defaultProps = {};
