import { BenefitBase } from "./BenefitBase";
import { IBenefitsSearchResult } from "./IBenefitsSearchResult";
import { BenefitMeasurementIndicator } from "./BenefitMeasurementIndicator";
import { IIconProps } from "office-ui-fabric-react/lib/Icon";
export declare class BenefitMeasurement extends BenefitBase {
    date: Date;
    dateDisplay: string;
    value: number;
    valueDisplay: string;
    achievement: number;
    achievementDisplay: string;
    trendIconProps: IIconProps;
    indicatorId: number;
    private indicator;
    /**
     * Creates a new instance of BenefitMeasurement
     *
     * @param {IBenefitsSearchResult} result Search result
     * @param {number} fractionDigits Fraction digits for valueDisplay
     */
    constructor(result: IBenefitsSearchResult, fractionDigits?: number);
    /**
     * Calculate achievement
     *
     * @param {BenefitMeasurementIndicator} indicator Indicator
     * @param {number} fractionDigits Fraction digits used for achievementDisplay
     */
    calculcateAchievement(indicator: BenefitMeasurementIndicator, fractionDigits?: number): BenefitMeasurement;
    /**
     * Set trend icon props
     *
     * @param {BenefitMeasurement} prevMeasurement Previous measurement
     */
    setTrendIconProps(prevMeasurement: BenefitMeasurement): BenefitMeasurement;
}
