import { BenefitBase } from "./BenefitBase";
import { BenefitMeasurement } from "./BenefitMeasurement";
import { Benefit } from "./Benefit";
import { IBenefitsSearchResult } from "./IBenefitsSearchResult";
export declare class BenefitMeasurementIndicator extends BenefitBase {
    indicator: string;
    startValue: number;
    desiredValue: number;
    startValueDisplay: string;
    desiredValueDisplay: string;
    unit: string;
    measurements: BenefitMeasurement[];
    benefit: Benefit;
    /**
     * Creates a new instance of BenefitMeasurementIndicator
     *
     * @param {IBenefitsSearchResult} result Search result
     * @param {number} fractionDigits Fraction digits for valueDisplay
     */
    constructor(result: IBenefitsSearchResult, fractionDigits?: number);
    /**
     * Set measurements
     *
     * @param {BenefitMeasurement[]} measurements Measurements
     */
    setMeasurements(measurements: BenefitMeasurement[]): BenefitMeasurementIndicator;
    /**
     * Set benefit
     *
     * @param {Benefit} benefit Benefit
     */
    setBenefit(benefit: Benefit): BenefitMeasurementIndicator;
}
