import { TypedHash } from "@pnp/common";
import { IDynamicPortfolioColumnConfig, IDynamicPortfolioConfiguration, IDynamicPortfolioViewConfig } from "./DynamicPortfolioConfiguration";
export interface IProjectsQueryResponse {
    primarySearchResults: TypedHash<any>[];
    refiners: any[];
}
/**
 * Transform result based on type
 *
 * @param {TypedHash<any>} res Result
 * @param {IDynamicPortfolioColumnConfig[]} columns Column configuration
 */
export declare function transformResult(res: TypedHash<any>, columns: IDynamicPortfolioColumnConfig[]): {
    [x: string]: any;
};
/**
 * Query the REST Search API using @pnp/sp
 *
 * @param {string} queryText Query text
 * @param {IDynamicPortfolioViewConfig} viewConfig View configuration
 * @param {IDynamicPortfolioConfiguration} configuration DynamicPortfolioConfiguration
 */
export declare function queryProjects(queryText: string, viewConfig: IDynamicPortfolioViewConfig, configuration: IDynamicPortfolioConfiguration): Promise<IProjectsQueryResponse>;
