"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
//#region Imports
const React = require("react");
const Icon_1 = require("office-ui-fabric-react/lib/Icon");
const Dropdown_1 = require("office-ui-fabric-react/lib/Dropdown");
//#endregion
class DropdownSection extends React.Component {
    /**
    * Constructor
    *
    * @param {IDropdownSectionProps} props Props
    */
    constructor(props) {
        super(props);
        this.state = { isExpanded: false };
        this.onToggle = this.onToggle.bind(this);
    }
    render() {
        return (React.createElement("div", { hidden: this.props.hidden },
            React.createElement("div", { style: { paddingTop: 8, paddingBottom: 8 }, onClick: this.onToggle, className: this.props.headerClassName },
                React.createElement("span", null, this.props.title),
                React.createElement("span", { style: { paddingLeft: 8 }, className: this.state.isExpanded ? "ChevronUp" : "ChevronDown" },
                    React.createElement(Icon_1.Icon, { iconName: this.state.isExpanded ? "ChevronUp" : "ChevronDown" }))),
            React.createElement("section", { hidden: !this.state.isExpanded },
                React.createElement(Dropdown_1.Dropdown, { placeholder: this.props.placeholder, options: this.props.options, onChanged: this.props.onChanged }))));
    }
    /**
     * On toggle
     */
    onToggle() {
        this.setState(prevState => ({ isExpanded: !prevState.isExpanded }));
    }
}
exports.default = DropdownSection;
DropdownSection.defaultProps = { headerClassName: "ms-font-l settings-section" };
