"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
//#region Imports
const React = require("react");
const Resources_1 = require("../../../../Resources");
const Icon_1 = require("office-ui-fabric-react/lib/Icon");
const Toggle_1 = require("office-ui-fabric-react/lib/Toggle");
//#endregion
class ToggleSection extends React.Component {
    /**
    * Constructor
    *
    * @param {IToggleSectionProps} props Props
    */
    constructor(props) {
        super(props);
        this.state = { isExpanded: false };
        this.onToggle = this.onToggle.bind(this);
    }
    render() {
        const { hidden, title, options, optLabelProp, onChanged, headerClassName, selected, } = this.props;
        const { isExpanded } = this.state;
        return (React.createElement("div", { hidden: hidden },
            React.createElement("div", { onClick: this.onToggle, className: headerClassName },
                React.createElement("span", null, title),
                React.createElement("span", { className: isExpanded ? "ChevronUp" : "ChevronDown" },
                    React.createElement(Icon_1.Icon, { iconName: isExpanded ? "ChevronUp" : "ChevronDown" }))),
            React.createElement("section", { hidden: !isExpanded }, options.map((opt, index) => {
                return (React.createElement("div", { key: index },
                    React.createElement(Toggle_1.Toggle, { checked: selected.indexOf(opt.Id) !== -1, label: opt[optLabelProp], onChanged: checked => onChanged(opt, checked), onText: Resources_1.default.getResource("String_Yes"), offText: Resources_1.default.getResource("String_No") }),
                    React.createElement("div", { className: "ms-font-xs", style: { paddingTop: 10, paddingBottom: 10 }, hidden: !opt.Comments }, opt.Comments)));
            }))));
    }
    /**
     * On toggle
     */
    onToggle() {
        this.setState(prevState => ({ isExpanded: !prevState.isExpanded }));
    }
}
exports.default = ToggleSection;
ToggleSection.defaultProps = { headerClassName: "ms-font-l settings-section" };
