"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
//#region Imports
const React = require("react");
const Resources_1 = require("../../../Resources");
const ToggleSection_1 = require("./ToggleSection");
const DropdownSection_1 = require("./DropdownSection");
//#endregion
class NewProjectFormSettingsSection extends React.Component {
    /**
    * Constructor
    *
    * @param {INewProjectFormSettingsSectionProps} props Props
    */
    constructor(props) {
        super(props);
        this.state = {};
    }
    render() {
        return (React.createElement("div", { className: this.props.className },
            React.createElement(DropdownSection_1.default, { title: Resources_1.default.getResource("NewProjectForm_ShowProjecttypesSettings"), options: this._projectTypeOptions, onChanged: option => this.props.onProjectTypeChanged(option.data), hidden: this.props.config.projectTypes.length === 0 }),
            React.createElement(ToggleSection_1.default, { title: Resources_1.default.getResource("NewProjectForm_ShowListContentSettings"), options: this.props.config.listData, selected: this.props.model.includeContent.map(ic => ic.Id), optLabelProp: "Label", optDefaultCheckedProp: "Default", onChanged: this.props.onListContentChanged, hidden: this.props.config.listData.length === 0 }),
            React.createElement(ToggleSection_1.default, { title: Resources_1.default.getResource("NewProjectForm_ShowExtensionSettings"), options: this.props.config.extensions, selected: this.props.model.extensions.map(ic => ic.Id), optLabelProp: "Title", optDefaultCheckedProp: "IsEnabled", onChanged: this.props.onExtensionsChanged, hidden: this.props.config.extensions.length === 0 })));
    }
    get _projectTypeOptions() {
        return [
            {
                key: null,
                text: "",
            },
            ...this.props.config.projectTypes.map(t => ({ key: t.title, text: t.title, data: t })),
        ];
    }
}
exports.default = NewProjectFormSettingsSection;
NewProjectFormSettingsSection.defaultProps = { toggleSectionClassName: "ms-font-l settings-section" };
