"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Resources_1 = require("../../Resources");
const MatrixCellType_1 = require("../../Model/MatrixCellType");
const OpportunityMatrixCells = [
    [
        {
            cellType: MatrixCellType_1.default.Header,
            className: "opportunity-header",
        },
        {
            cellValue: Resources_1.default.getResource("OpportunityMatrix_Header_Insignificant"),
            cellType: MatrixCellType_1.default.Header,
            className: "opportunity-header",
        },
        {
            cellValue: Resources_1.default.getResource("OpportunityMatrix_Header_Limited"),
            cellType: MatrixCellType_1.default.Header,
            className: "opportunity-header",
        },
        {
            cellValue: Resources_1.default.getResource("OpportunityMatrix_Header_Moderate"),
            cellType: MatrixCellType_1.default.Header,
            className: "opportunity-header",
        },
        {
            cellValue: Resources_1.default.getResource("OpportunityMatrix_Header_Significant"),
            cellType: MatrixCellType_1.default.Header,
            className: "opportunity-header",
        },
        {
            cellValue: Resources_1.default.getResource("OpportunityMatrix_Header_Large"),
            cellType: MatrixCellType_1.default.Header,
            className: "opportunity-header",
        },
    ],
    [
        {
            cellValue: Resources_1.default.getResource("OpportunityMatrix_Header_VeryHigh"),
            cellType: MatrixCellType_1.default.Header,
            className: "opportunity-header",
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 1,
            probability: 5,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#f6cba8" },
            consequence: 2,
            probability: 5,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#f6cba8" },
            consequence: 3,
            probability: 5,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#2da748" },
            consequence: 4,
            probability: 5,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#2da748" },
            consequence: 5,
            probability: 5,
        },
    ],
    [
        {
            cellValue: Resources_1.default.getResource("OpportunityMatrix_Header_High"),
            cellType: MatrixCellType_1.default.Header,
            className: "opportunity-header",
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 1,
            probability: 4,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 2,
            probability: 4,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#f6cba8" },
            consequence: 3,
            probability: 4,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#f6cba8" },
            consequence: 4,
            probability: 4,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#2da748" },
            consequence: 5,
            probability: 4,
        },
    ],
    [
        {
            cellValue: Resources_1.default.getResource("OpportunityMatrix_Header_Medium"),
            cellType: MatrixCellType_1.default.Header,
            className: "opportunity-header",
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#ea5c73" },
            consequence: 1,
            probability: 3,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 2,
            probability: 3,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 3,
            probability: 3,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#f6cba8" },
            consequence: 4,
            probability: 3,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#f6cba8" },
            consequence: 5,
            probability: 3,
        },
    ],
    [
        {
            cellValue: Resources_1.default.getResource("OpportunityMatrix_Header_Low"),
            cellType: MatrixCellType_1.default.Header,
            className: "opportunity-header",
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#ea5c73" },
            consequence: 1,
            probability: 2,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#ea5c73" },
            consequence: 2,
            probability: 2,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 3,
            probability: 2,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 4,
            probability: 2,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#f6cba8" },
            consequence: 5,
            probability: 2,
        },
    ],
    [
        {
            cellValue: Resources_1.default.getResource("OpportunityMatrix_Header_VeryLow"),
            cellType: MatrixCellType_1.default.Header,
            className: "opportunity-header",
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#ea5c73" },
            consequence: 1,
            probability: 1,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#ea5c73" },
            consequence: 2,
            probability: 1,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#ea5c73" },
            consequence: 3,
            probability: 1,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 4,
            probability: 1,
        },
        {
            cellValue: "",
            cellType: MatrixCellType_1.default.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 5,
            probability: 1,
        },
    ],
];
exports.default = OpportunityMatrixCells;
