import * as React from "react";
import { IContextualMenuItem } from "office-ui-fabric-react/lib/ContextualMenu";
import IResourceAllocationCommandBarProps from "./IResourceAllocationCommandBarProps";
import IResourceAllocationCommandBarState from "./IResourceAllocationCommandBarState";
export default class ResourceAllocationCommandBar extends React.Component<IResourceAllocationCommandBarProps, IResourceAllocationCommandBarState> {
    static displayName: string;
    /**
     * Constructor
     *
     * @param {IResourceAllocationCommandBarProps} props Props
     */
    constructor(props: IResourceAllocationCommandBarProps);
    /**
     * Get items
     */
    protected getItems(): IContextualMenuItem[];
    /**
     * Get far items
     */
    protected getFarItems(): IContextualMenuItem[];
    protected onOpenFilerPanel(event?: React.MouseEvent<HTMLElement> | React.KeyboardEvent<HTMLElement>): void;
    protected onDismissFilterPanel(): void;
    /**
     * Renders the <TasksOverviewCommandBar /> component
     */
    render(): JSX.Element;
}
