"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
//#region Imports
const React = require("react");
const CommandBar_1 = require("office-ui-fabric-react/lib/CommandBar");
const ContextualMenu_1 = require("office-ui-fabric-react/lib/ContextualMenu");
const Utilities_1 = require("office-ui-fabric-react/lib/Utilities");
const FilterPanel_1 = require("../../@Components/FilterPanel");
//#endregion
class ResourceAllocationCommandBar extends React.Component {
    /**
     * Constructor
     *
     * @param {IResourceAllocationCommandBarProps} props Props
     */
    constructor(props) {
        super(props);
        this.state = { isFilterPanelOpen: false };
    }
    /**
     * Get items
     */
    getItems() {
        return [];
    }
    /**
     * Get far items
     */
    getFarItems() {
        return [{
                key: "Filter",
                name: "Filter",
                iconOnly: true,
                iconProps: { iconName: "Filter" },
                itemType: ContextualMenu_1.ContextualMenuItemType.Header,
                onClick: this.onOpenFilerPanel,
            }];
    }
    onOpenFilerPanel(event) {
        event.preventDefault();
        event.stopPropagation();
        this.setState((prevState) => ({ isFilterPanelOpen: !prevState.isFilterPanelOpen }));
    }
    onDismissFilterPanel() {
        this.setState({ isFilterPanelOpen: false });
    }
    /**
     * Renders the <TasksOverviewCommandBar /> component
     */
    render() {
        return (React.createElement("div", null,
            React.createElement(CommandBar_1.CommandBar, { items: this.getItems(), farItems: this.getFarItems() }),
            React.createElement(FilterPanel_1.default, { isOpen: this.state.isFilterPanelOpen, isLightDismiss: true, onDismiss: this.onDismissFilterPanel, filters: this.props.filters, onFilterChange: this.props.onFilterChange })));
    }
}
ResourceAllocationCommandBar.displayName = "ResourceAllocationCommandBar";
__decorate([
    Utilities_1.autobind
], ResourceAllocationCommandBar.prototype, "onOpenFilerPanel", null);
__decorate([
    Utilities_1.autobind
], ResourceAllocationCommandBar.prototype, "onDismissFilterPanel", null);
exports.default = ResourceAllocationCommandBar;
