"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Resources_1 = require("../../Resources");
exports.TasksOverviewDefaultProps = {
    searchQuery: {
        Querytext: "*",
        RowLimit: 500,
        TrimDuplicates: false,
        SelectProperties: [
            "Title",
            "Path",
            "SPWebUrl",
            "WebId",
            "SiteTitle",
            "StatusOWSCHCS",
            "PriorityOWSCHCS",
            "PercentCompleteOWSNMBR",
            "GtProjectPhase",
            "AssignedTo",
            "Created",
            "DueDateOWSDATE",
            "StartDateOWSDATE",
            "LastModifiedTime",
        ],
    },
    dataSourceName: "TASKS",
    filterColumns: [
        {
            key: "SiteTitle",
            fieldName: "SiteTitle",
            name: Resources_1.default.getResource("String_Project"),
            minWidth: 0,
        },
        {
            key: "GtProjectPhase",
            fieldName: "GtProjectPhase",
            name: Resources_1.default.getResource("SiteFields_GtProjectPhase_DisplayName"),
            minWidth: 0,
        },
        {
            key: "StatusOWSCHCS",
            fieldName: "StatusOWSCHCS",
            name: Resources_1.default.getResource("SiteFields_Status_DisplayName"),
            minWidth: 0,
        },
        {
            key: "AssignedTo",
            fieldName: "AssignedTo",
            name: Resources_1.default.getResource("SiteFields_AssignedTo_DisplayName"),
            minWidth: 0,
        },
    ],
    groupByOptions: [
        {
            fieldName: "SiteTitle",
            name: Resources_1.default.getResource("String_Project"),
        },
        {
            fieldName: "Title",
            name: Resources_1.default.getResource("Lists_Tasks_Fields_Title_DisplayName"),
        },
        {
            fieldName: "GtProjectPhase",
            name: Resources_1.default.getResource("SiteFields_GtProjectPhase_DisplayName"),
        },
        {
            fieldName: "StatusOWSCHCS",
            name: Resources_1.default.getResource("SiteFields_Status_DisplayName"),
        },
        {
            fieldName: "AssignedTo",
            name: Resources_1.default.getResource("SiteFields_AssignedTo_DisplayName"),
        },
    ],
    customSorts: { GtProjectPhase: ["Ingen fase", "Flere faser", "Konsept", "Planlegge", "Gjennomføre", "Avslutte", "Realisere"] },
};
