"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const Resources_1 = require("../../../Resources");
const React = require("react");
const moment = require("moment");
const Panel_1 = require("office-ui-fabric-react/lib/Panel");
const Button_1 = require("office-ui-fabric-react/lib/Button");
const DatePicker_1 = require("office-ui-fabric-react/lib/DatePicker");
const Toggle_1 = require("office-ui-fabric-react/lib/Toggle");
const Utilities_1 = require("office-ui-fabric-react/lib/Utilities");
const Util_1 = require("../../../Util");
const DayPickerStrings = {
    months: Resources_1.default.getResource("DayPickerStrings_Months").split(","),
    shortMonths: Resources_1.default.getResource("DayPickerStrings_ShortMonths").split(","),
    days: Resources_1.default.getResource("DayPickerStrings_Days").split(","),
    shortDays: Resources_1.default.getResource("DayPickerStrings_ShortDays").split(","),
    goToToday: Resources_1.default.getResource("DayPickerStrings_GoToToday"),
    prevMonthAriaLabel: Resources_1.default.getResource("DayPickerStrings_PrevMonthAriaLabel"),
    nextMonthAriaLabel: Resources_1.default.getResource("DayPickerStrings_NextMonthAriaLabel"),
    prevYearAriaLabel: Resources_1.default.getResource("DayPickerStrings_PrevYearAriaLabel"),
    nextYearAriaLabel: Resources_1.default.getResource("DayPickerStrings_NextYearAriaLabel"),
};
class TaskOverviewDateIntervalPanel extends React.Component {
    constructor(props) {
        super(props);
        this.datePickerProps = {
            firstDayOfWeek: DatePicker_1.DayOfWeek.Monday,
            strings: DayPickerStrings,
            formatDate: date => Util_1.formatDate(date, "LL"),
        };
        this.state = { isDynamicInterval: true };
    }
    render() {
        return (React.createElement(Panel_1.Panel, { isOpen: this.props.isOpen, isHiddenOnDismiss: true, isLightDismiss: true, isBlocking: false, onDismiss: this.props.onDismiss, headerText: this.props.headerText },
            React.createElement("div", null,
                React.createElement(Toggle_1.Toggle, { label: Resources_1.default.getResource("TasksOverview_IsDynamicLabel"), defaultChecked: this.state.isDynamicInterval, onChanged: isDynamicInterval => this.setState({ isDynamicInterval }) }),
                React.createElement("p", { className: "ms-font-xs" }, Resources_1.default.getResource("TasksOverview_IsDynamicDescription"))),
            React.createElement("div", { style: { marginTop: 15 } },
                React.createElement(DatePicker_1.DatePicker, Object.assign({}, this.datePickerProps, { onSelectDate: date => this.setState({ visibleTimeStart: moment(date) }), placeholder: Resources_1.default.getResource("TasksOverview_VisibleTimeStartLabel"), ariaLabel: Resources_1.default.getResource("TasksOverview_VisibleTimeStartLabel"), disabled: this.state.isDynamicInterval, value: this.props.defaultVisibleTimeStart.toDate() }))),
            React.createElement("div", { style: { marginTop: 15 } },
                React.createElement(DatePicker_1.DatePicker, Object.assign({}, this.datePickerProps, { onSelectDate: date => this.setState({ visibleTimeEnd: moment(date) }), placeholder: Resources_1.default.getResource("TasksOverview_VisibleTimeEndLabel"), ariaLabel: Resources_1.default.getResource("TasksOverview_VisibleTimeEndLabel"), disabled: this.state.isDynamicInterval, value: this.props.defaultVisibleTimeEnd.toDate() }))),
            React.createElement("div", { style: { marginTop: 15 } },
                React.createElement(Button_1.PrimaryButton, { text: Resources_1.default.getResource("TasksOverview_OnSetIntervalButtonText"), onClick: this.onSetInterval }))));
    }
    onSetInterval() {
        let visibleTimeStart = null;
        let visibleTimeEnd = null;
        if (!this.state.isDynamicInterval) {
            visibleTimeStart = this.state.visibleTimeStart;
            visibleTimeEnd = this.state.visibleTimeEnd;
        }
        this.props.onChange(visibleTimeStart, visibleTimeEnd);
    }
}
__decorate([
    Utilities_1.autobind
], TaskOverviewDateIntervalPanel.prototype, "onSetInterval", null);
exports.default = TaskOverviewDateIntervalPanel;
