import * as React from "react";
import { IContextualMenuItem } from "office-ui-fabric-react/lib/ContextualMenu";
import ITasksOverviewCommandBarProps from "./ITasksOverviewCommandBarProps";
import ITasksOverviewCommandBarState from "./ITasksOverviewCommandBarState";
export default class TasksOverviewCommandBar extends React.Component<ITasksOverviewCommandBarProps, ITasksOverviewCommandBarState> {
    static displayName: string;
    protected items: IContextualMenuItem[];
    protected farItems: IContextualMenuItem[];
    /**
     * Constructor
     *
     * @param {ITasksOverviewCommandBarProps} props Props
     */
    constructor(props: ITasksOverviewCommandBarProps);
    /**
     * Get items
     */
    protected getItems(): IContextualMenuItem[];
    /**
     * Get far items
     */
    protected getFarItems(): IContextualMenuItem[];
    protected onOpenFilerPanel(event?: React.MouseEvent<HTMLElement> | React.KeyboardEvent<HTMLElement>): void;
    protected onOpenDateIntervalPanel(event?: React.MouseEvent<HTMLElement> | React.KeyboardEvent<HTMLElement>): void;
    protected onDismissFilterPanel(): void;
    protected onDismissDateIntervalPanel(): void;
    /**
     * Renders the <TasksOverviewCommandBar /> component
     */
    render(): JSX.Element;
}
