"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Resources_1 = require("../../../Resources");
const React = require("react");
const Modal_1 = require("office-ui-fabric-react/lib/Modal");
class TasksOverviewDetailsModal extends React.PureComponent {
    /**
     * Constructor
     *
     * @param {ITasksOverviewDetailsModalProps} props Props
     */
    constructor(props) {
        super(props);
    }
    /**
     * Renders the <TasksOverviewDetailsModal /> component
     */
    render() {
        if (this.props.task) {
            return (React.createElement(Modal_1.Modal, { isOpen: true, isBlocking: false, onDismiss: this.props.onDismiss },
                React.createElement("div", { className: "pp-task-overview-details-modal" },
                    this.renderHeader(),
                    this.renderBody(),
                    React.createElement("div", { className: "pp-task-overview-details-modal-close-btn", onClick: _event => this.props.onDismiss() }, "x"))));
        }
        return null;
    }
    /***
     * Renders the modal header
     */
    renderHeader() {
        const { task } = this.props;
        return (React.createElement("div", { className: "pp-task-overview-details-modal-header" },
            React.createElement("h3", null, task.title)));
    }
    /**
     * Renders the modal body
     */
    renderBody() {
        const { task } = this.props;
        const { item } = task;
        return (React.createElement("div", { className: "pp-task-overview-details-modal-body" },
            React.createElement("div", { hidden: !item.GtProjectPhase },
                React.createElement("b", null,
                    Resources_1.default.getResource("SiteFields_GtProjectPhase_DisplayName"),
                    ":"),
                "\u00A0",
                React.createElement("span", null, item.GtProjectPhase)),
            React.createElement("div", { hidden: !item.AssignedTo },
                React.createElement("b", null,
                    Resources_1.default.getResource("SiteFields_AssignedTo_DisplayName"),
                    ":"),
                "\u00A0",
                React.createElement("span", null, item.AssignedTo)),
            React.createElement("div", { hidden: !item.StatusOWSCHCS },
                React.createElement("b", null,
                    Resources_1.default.getResource("SiteFields_Status_DisplayName"),
                    ":"),
                "\u00A0",
                React.createElement("span", null, item.StatusOWSCHCS)),
            React.createElement("div", { hidden: !item.PercentCompleteOWSNMBR },
                React.createElement("b", null,
                    Resources_1.default.getResource("SiteFields_PercentComplete_DisplayName"),
                    ":"),
                "\u00A0",
                React.createElement("span", null,
                    Math.round(parseFloat(item.PercentCompleteOWSNMBR) * 100),
                    "%")),
            React.createElement("div", null,
                React.createElement("b", null,
                    Resources_1.default.getResource("SiteFields_StartDate_DisplayName"),
                    ":"),
                "\u00A0",
                React.createElement("span", null, task.start_time.format("LL"))),
            React.createElement("div", null,
                React.createElement("b", null,
                    Resources_1.default.getResource("SiteFields_DueDate_DisplayName"),
                    ":"),
                "\u00A0",
                React.createElement("span", null, task.end_time.format("LL"))),
            React.createElement("div", null,
                React.createElement("b", null,
                    Resources_1.default.getResource("String_Project"),
                    ":"),
                "\u00A0",
                React.createElement("a", { href: item.SPWebUrl, target: "_blank" },
                    React.createElement("span", null, item.SiteTitle))),
            React.createElement("div", { style: { marginTop: 20 } },
                React.createElement("a", { href: item.Path, target: "_blank" },
                    React.createElement("span", null, Resources_1.default.getResource("ItemLink_Label_NewTab"))))));
    }
}
exports.default = TasksOverviewDetailsModal;
TasksOverviewDetailsModal.displayName = "TasksOverviewDetailsModal";
