import __ from "../../Resources";
import MatrixCellType from "../../Model/MatrixCellType";
import IMatrixCell from "../../Model/IMatrixCell";

const OpportunityMatrixCells: Array<IMatrixCell[]> = [
    [
        {

            cellType: MatrixCellType.Header,
            className: "opportunity-header",
        },
        {
            cellValue: __.getResource("OpportunityMatrix_Header_Insignificant"),
            cellType: MatrixCellType.Header,
            className: "opportunity-header",
        },
        {
            cellValue: __.getResource("OpportunityMatrix_Header_Limited"),
            cellType: MatrixCellType.Header,
            className: "opportunity-header",
        },
        {
            cellValue: __.getResource("OpportunityMatrix_Header_Moderate"),
            cellType: MatrixCellType.Header,
            className: "opportunity-header",
        },
        {
            cellValue: __.getResource("OpportunityMatrix_Header_Significant"),
            cellType: MatrixCellType.Header,
            className: "opportunity-header",
        },
        {
            cellValue: __.getResource("OpportunityMatrix_Header_Large"),
            cellType: MatrixCellType.Header,
            className: "opportunity-header",
        },
    ],
    [
        {
            cellValue: __.getResource("OpportunityMatrix_Header_VeryHigh"),
            cellType: MatrixCellType.Header,
            className: "opportunity-header",
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 1,
            probability: 5,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#f6cba8" },
            consequence: 2,
            probability: 5,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#f6cba8" },
            consequence: 3,
            probability: 5,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#2da748" },
            consequence: 4,
            probability: 5,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#2da748" },
            consequence: 5,
            probability: 5,
        },
    ],
    [
        {
            cellValue: __.getResource("OpportunityMatrix_Header_High"),
            cellType: MatrixCellType.Header,
            className: "opportunity-header",
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 1,
            probability: 4,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 2,
            probability: 4,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#f6cba8" },
            consequence: 3,
            probability: 4,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#f6cba8" },
            consequence: 4,
            probability: 4,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#2da748" },
            consequence: 5,
            probability: 4,
        },
    ],
    [
        {
            cellValue: __.getResource("OpportunityMatrix_Header_Medium"),
            cellType: MatrixCellType.Header,
            className: "opportunity-header",
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#ea5c73" },
            consequence: 1,
            probability: 3,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 2,
            probability: 3,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 3,
            probability: 3,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#f6cba8" },
            consequence: 4,
            probability: 3,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#f6cba8" },
            consequence: 5,
            probability: 3,
        },
    ],
    [
        {
            cellValue: __.getResource("OpportunityMatrix_Header_Low"),
            cellType: MatrixCellType.Header,
            className: "opportunity-header",
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#ea5c73" },
            consequence: 1,
            probability: 2,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#ea5c73" },
            consequence: 2,
            probability: 2,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 3,
            probability: 2,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 4,
            probability: 2,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#f6cba8" },
            consequence: 5,
            probability: 2,
        },
    ],
    [
        {
            cellValue: __.getResource("OpportunityMatrix_Header_VeryLow"),
            cellType: MatrixCellType.Header,
            className: "opportunity-header",
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#ea5c73" },
            consequence: 1,
            probability: 1,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#ea5c73" },
            consequence: 2,
            probability: 1,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#ea5c73" },
            consequence: 3,
            probability: 1,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 4,
            probability: 1,
        },
        {
            cellValue: "",
            cellType: MatrixCellType.Cell,
            className: "opportunity-matrix-cell",
            style: { backgroundColor: "#e9b359" },
            consequence: 5,
            probability: 1,
        },
    ],
];

export default OpportunityMatrixCells;
